:root {
  --primary-color: #002B56;
  --secondary-color: #007E9F;
  --cta-color: #FABB18;
  --text-color: #231F20;
  --background-color: #fff;

  --font-heading: "Lato", sans-serif;
  --font-body: "Lato", sans-serif;

  --section-clip: polygon(0 10%, 100% 0, 100% 100%, 0 90%);
}


* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
  overflow-x: hidden;
  scroll-behavior: smooth;
}

body {
  font-family: var(--font-body);
  line-height: 1;
  font-weight: 400;
  color: var(--text-color);
  overflow-x: hidden;
}

p,
ul {
  font-size: 1.6rem;
  line-height: 1.5;
}

::selection {
  background-color: var(--cta-color);
  color: var(--text-color);
}

::-moz-selection {
  background-color: var(--cta-color);
  color: var(--text-color);
}
/* ************************************** */
/* REUSABLE COMPONENTS */
/* ************************************** */

.container {
  max-width: 130rem;
  padding: 0 3.2rem;
  margin: 0 auto;
}

.grid {
  display: grid;
  row-gap: 3.2rem;
  column-gap: 3.2rem;
}

.grid--2--cols {
  grid-template-columns: repeat(2, 1fr);
}

.grid--3--cols {
  grid-template-columns: repeat(3, 1fr);
}

.grid--4--cols {
  grid-template-columns: repeat(4, 1fr);
}
.grid--5--cols {
  grid-template-columns: repeat(5, 1fr);
}

.heading-1 {
  font-family: var(--font-heading);
  font-weight: 800;
  text-align: center;
  font-size: 8.6rem;
  color: var(--primary-color);
  transition: all 0.3s ease-out;
}

.heading-2 {
  font-size: 4.4rem;
  text-align: center;
  margin-bottom: 4.8rem;
  font-family: var(--font-heading);
  font-weight: 600;
}

.heading-4 {
  color: var(--background-color);
  font-size: 2.4rem;
  font-weight: 600;
  margin-bottom: 3.2rem;
}

/* ************************************** */
/* PARALLAX */
/* ************************************** */

      .parallax {
        will-change: transform;
        /* transition: transform 0.1s linear; */
      }


/* ************************************** */
/* HELPER CLASSES */
/* ************************************** */

.margin-bottom-large {
  margin-bottom: 8rem;
}

.margin-bottom-medium {
  margin-bottom: 3.2rem;
}

.white {
  color: var(--background-color);
}

/* ************************************** */
/* HEADER */
/* ************************************** */

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #fff;

  height: 9.6rem;
  max-width: 127rem;
}

.logo {
  height: 4.3rem;
}

.main-nav-list {
  list-style: none;
  font-family: var(--font-body);
  font-size: 1.6rem;

  display: flex;
  align-items: center;
  gap: 3.2rem;
  margin-bottom: 0;
}

.main-nav-link:link, .main-nav-link:visited {
  text-decoration: none;
  color: var(--text-color);
  font-weight: 400;
  transition: all 0.3s ease-out;
}

.main-nav-link:hover, .main-nav-link:active {
  color: var(--cta-color);
}

.main-nav-link.nav-cta:link, .main-nav-link.nav-cta:visited {
  background-color: var(--cta-color);
  color: var(--background-color);
  font-weight: 600;
  padding: 1rem 2.4rem;
  border-radius: 100px;
  box-shadow: 5px 5px 0 var(--text-color);
  transition: all 0.3s;
}

.main-nav-link.nav-cta:hover {
  box-shadow: 8px 8px 0 var(--text-color);
}

.main-nav-link.nav-cta:active {
  box-shadow: 3px 3px 0 var(--text-color);
}

/* ************************************** */
/* MOBILE */
/* ************************************** */

.btn-mobile-nav {
  border: none;
  background: none;
  cursor: pointer;

  display: none;
}

.icon-mobile-nav {
  height: 3rem;
}

.icon-mobile-nav[name="close-icon"] {
  display: none;
}

/* ************************************** */
/* HERO */
/* ************************************** */

.hero-section-custom {
  background-image: url("https://flintstones.org.za/shop/wp-content/uploads/2026/06/hero-bg.webp");
  background-size: cover;
  background-repeat: none;
  background-position: bottom;
  height: 100vh;
  position: relative;
  transition: all 0.3s ease-out;
}

.sub-heading-top {
  text-align: center;
  color: var(--cta-color);
  font-size: 2.4rem;
}

.sub-heading-bot {
  text-align: center;
  color: var(--primary-color);
  font-size: 5.2rem;
  z-index: 10000;
  transition: all 0.3s ease-out;
}

.hero-img-01 {
  position: absolute;
  left: 15%;
  bottom: 10%;
  z-index: 100;
}
.hero-img-02 {
  position: absolute;
  left: 28%;
  bottom: 10%;
}
.hero-img-03 {
  position: absolute;
  right: 20%;
  bottom: 8%;
  z-index: 100;
}

.hero-img-04 {
  position: absolute;
  right: 18%;
  bottom: 27%;
}

.hero img {
  transition: all 0.3s ease-out;
}

.hero img:hover {
  transform: translateY(-1.2rem);
}

/* .hero-img-01:hover , .hero-img-02:hover, .hero-img-03:hover {
  transform: translateY(1.2);
} */

/* ************************************** */
/* HERO DESC*/
/* ************************************** */

.hero-desc-section {
  background-color: var(--primary-color);
  padding-bottom: 18rem;
  clip-path: polygon(0 0, 100% 0, 100% 100%, 0 80%);
  position: relative;
  top: -2px;
}

.hero-desc {
  display: flex;
  flex-direction: column;
  gap: 6.4rem;
  align-items: center;
  justify-content: center;
}

.hero-desc-p {
  color: var(--background-color);
  text-align: center;
  font-size: 1.8rem;
}

.hero-logo-box {
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  place-items: center;
  gap: 2.4rem;
}

.hero-logo {
  width: 100%;
  height: auto;
  transition: all 0.3s ease-out;
}

.hero-logo:hover {
  transform: scale(105%);
}


/* ************************************** */
/* CATEGORIES*/
/* ************************************** */

.categories-section {
  position: relative;
}

.deco-01 {
  position: absolute;
  right: 0;
  top: -25%;
  z-index: 1000;
  height: 80rem;
  pointer-events: none;
  transition: all 0.3s ease-out;
}

.category-p {
  text-align: center;
  margin-bottom: 4.8rem;
}

.category-card-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 0;
  margin-bottom: 15rem;
  transition: all 0.3s ease-out;
}

.category-card-link {
  text-decoration: none;
}

.category-card {
  padding: 3.2rem;
  width: 100%;
  height: auto;

  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  transition: all 0.3s ease-out;
}

.category-card-img {
  margin-bottom: 4.8rem;
  width: auto;
  height: auto;
  transition: all 0.3s ease-out;
}

.category-card-img:hover {
  transform: scale(105%);
}

.category-sub-title {
  font-weight: 800;
  color: var(--cta-color);
  text-align: center;
  font-size: 1.8rem;
  
}

.category-title {
  font-weight: 800 ;
  font-size: 3rem;
  color: var(--text-color);
  text-align: center;
  line-height: 1;
}

/* takealot cta */

.takealot-cta-link {
  text-decoration: none;
  display: flex;
  align-items: center;
  justify-content: center;
}

.takealot-cta {
  background-color: var(--cta-color);
  padding: 1.8rem 4.8rem;
  position: relative;
  border-radius: 1000px;
  width: 80%;
  margin-bottom: 8rem;
  transition: all 0.3s ease-out;
}

.takealot-cta-text-flex {
  display: flex;
  gap: 1.6rem;
  align-items: center;
}

.takealot-p {
  font-size: 4.8rem;
  font-weight: 800;
  color: var(--text-color);
}

.takealot-cta-logo {
  height: 5.5rem;
}

.takealot-cta-img {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 3.5rem;
  height: 30rem;
  transition: all 0.3s ease-out;
}

.takealot-cta-link:hover .takealot-cta-img {
    transform: translateY(-50%) scale(1.05);
}

.deco-02 {
  position: absolute;
  left: 0;
  bottom: -20%;
  z-index: 1000;
  height: 60rem;
  pointer-events: none;
  transition: all 0.3s ease-out;
}



/* ************************************** */
/* SELLING POINTS*/
/* ************************************** */

.selling-section {
  background-color: var(--secondary-color);
  clip-path: var(--section-clip);
  padding-top: 12rem;
  padding-bottom: 6.8rem;
  
}

.selling-p {
  color: var(--background-color);
  text-align: center;
}

.selling-grid-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1.6rem;
  padding: 6.4rem 0 6.4rem 0;
  transition: all 0.3s ease-out;
}

.selling-grid-item:hover {
  transform: translateY(-0.5rem);
}

.selling-icon {
  width: 12rem;
  height: auto;
}

.selling-grid-item-p {
  color: var(--background-color);
  font-size: 1.8rem;
  font-weight: 600;
  text-align: center;
}



/* ************************************** */
/* PRACTICAL*/
/* ************************************** */

.practical-section {
  position: relative;
}

.pratical-grid {
place-items: center;
}

.practical-ul {
  list-style: none;
  margin-bottom: 1.6rem;
}

.practical-img {
  height: auto;
  width: 100%;
  transition: all 0.3s ease-out;
}

.practical-img:hover {
  transform: scale(105%);
}

.deco-03 {
  position: absolute;
  right: 0;
  bottom: -110%;
  z-index: 1000;
  height: 60rem;
  pointer-events: none;
  transition: all 0.3s ease-out;
}

/* ************************************** */
/* NATIONWIDE*/
/* ************************************** */

.nationwide-section {
  background-color: var(--primary-color);
  clip-path: var(--section-clip);
  padding-top: 12.8rem;
  padding-bottom: 12.8rem;
}

.nationwide-p {
  color: var(--background-color);
  text-align: center;
  margin-bottom: 4.8rem;
}

.nationwide-flex {
  display: flex;
  align-items: center;
  justify-content: center;
  
}

.nationwide-cta {
  text-decoration: none;
  color: var(--background-color);
  background-color: var(--primary-color);
  font-size: 3.2rem;
  font-weight: 800;

  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1.6rem;

  padding: 1.2rem 1.6rem;
  border: solid 4px var(--background-color);
  width: 50%;
  border-radius: 1000px;

  transition: all 0.3s ease-out;
}

.nationwide-cta:hover {
  transform: translateY(-0.2rem) scale(101%);
  box-shadow: 0 10px 30px #00162B;
}

.nationwide-cta-img {
  height: 3.2rem;
  width: auto;
}

/* ************************************** */
/* CALL TO ACTION*/
/* ************************************** */

.cta-section {
  position: relative;
}

.cta {
  background-color: var(--cta-color);
  clip-path: polygon(0 0, 100% 10%, 100% 100%, 0 90%);
  padding: 12.8rem 4.8rem;
  padding-bottom: 20rem;

  
}

.cta h2 {
  text-align: left;
}

.cta-form label {
  display: block;
  font-size: 2.4rem;
  margin-bottom: 0.8rem;

  color: var(--text-color);
}

.cta-form input,
select, textarea {
  width: 100%;
  padding: 1.2rem;
  border: none;
  border-radius: 8px;
  margin-bottom: 2.4rem;
  background-color: #fff;
  font-family: var(--font-body);
}

.cta-disclaimer {
  margin-top: 2rem;
  color: var(--text-color);
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type="number"] {
  -moz-appearance: textfield;
}

.cta-btn {
  font-family: var(--font-body);
  font-size: 1.8rem;
  font-weight: 600;
  border: none;
  background-color: var(--primary-color);
  color: var(--background-color);
  padding: 1.6rem 3.2rem;
  border-radius: 1000px;
  box-shadow: 5px 5px 0 var(--text-color);
  transition: all 0.3s ease-out;
}

.cta-btn:hover {
  box-shadow: 8px 8px 0 var(--text-color);
}

.cta-btn:active {
  box-shadow: 3px 3px 0 var(--text-color);
}

.cta-img {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 55%;
  height: 98%;
  transition: all 0.3s ease-out;
}

.cta-img:hover {
  transform: translateY(-50%) scale(105%);
}

/* ************************************** */
/* FOOTER*/
/* ************************************** */

.footer {
  background-color: var(--primary-color);
  padding-top: 12.8rem;
  padding-bottom: 12.8rem;
}

.footer-logo {
  height: 6.4rem;
  width: auto;
  margin-bottom: 3.2rem;
}

.footer-p {
  color: var(--background-color);
}

.footer-h {
  color: var(--background-color);
  font-weight: 600;
}

.footer-link:link, .footer-link:visited {
  text-decoration: none;
  color: var(--background-color);
  font-size: 1.6rem;
  display: block;
  transition: all 0.3s;
}

.footer-link:hover, .footer-link:active {
  color: var(--cta-color);
}

.social-flex {
  display: flex;
  gap: 1.6rem;
}

.footer-social-icon {
  height: 3rem;
  width: auto;
  transition: all 0.3s;
}

.footer-social-icon:hover {
  transform: translateY(-0.2rem);
}

/* ************************************** */
/* BELOW 1650px */
/* ************************************** */

@media (max-width: 103.125rem) {

  /* DECORATIONS */

  .deco-01, .deco-02 {
    height: 30%;
  }

  .deco-03 {
    height: 80%;
  }

}

/* ************************************** */
/* BELOW 1500px */
/* ************************************** */

@media (max-width: 93.75rem) {

  /* HERO */
  
  .hero-img-01 {
    left: 5%;
  }
  .hero-img-02 {
    left: 20%;
  }
  .hero-img-03 {
    right: 10%;
  }
  .hero-img-04 {
    right: 5%;
  }

  /* CTA */

  .cta-img {
    right: 10%;
  }
}

/* ************************************** */
/* BELOW 1450px */
/* ************************************** */

@media (max-width: 90.625rem) {

  /* DECORATIONS */

  .deco-01 {
    top: -20%;
  }

  .deco-03 {
    bottom: -85%;
  }

}

/* ************************************** */
/* BELOW 1250px */
/* ************************************** */

@media (max-width: 78.125rem){

  /* CATEGORIES */

  .takealot-p {
    font-size: 3.2rem;
  }

  .takealot-cta-logo {
    height: 3.2rem;
  }

  .takealot-cta-img {
    right: 0%;
  }

}

/* ************************************** */
/* BELOW 1060px */
/* ************************************** */

@media (max-width: 66.25rem) {

  /* CATEGORIES */

  .category-card {
    padding: 0rem;
  }

  .category-card-grid {
    row-gap: 3.2rem;
  }
}

/* ************************************** */
/* BELOW 1150px */
/* ************************************** */

@media (max-width: 71.875rem) {

  /* HERO */

  .hero img {
    height: 50%;
  }
  .hero-img-04 {
    bottom: 22%;
  }

  /* DECORATIONS */

  .deco-01, .deco-02, .deco-03 {
    display: none;
  }
}

/* ************************************** */
/* BELOW 940px */
/* ************************************** */

@media (max-width: 58.75rem) {

  /* CATEGORIES */

  .takealot-cta-img {
    height: 18rem;
  }

}


/* ************************************** */
/* BELOW 900px */
/* ************************************** */

@media (max-width: 56.25rem) {
  html {
    font-size: 56%;
  }
  /* ************************************** */
  /* MOBILE NAV*/
  /* ************************************** */

    /* fix scoll to right on mobile */

  html,
  body {
    width: 100%;
    max-width: 100%;
    overflow-x: hidden;
  }

  .btn-mobile-nav {
    display: block;
    z-index: 9999;
  }

  .main-nav {
    background-color: rgba(255, 255, 255, 0.9);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;

    display: flex;
    align-items: center;
    justify-content: center;

    transition: all 0.5s ease-in;
    transform: translatex(100%);

    z-index: 9998;

    /* HIDE */
    opacity: 0;

    /* unaccessible to mouse / keyboard */
    pointer-events: none;

    /* hide from screen readers */
    visibility: hidden;
  }

  .nav-open .main-nav {
    opacity: 1;
    pointer-events: auto;
    visibility: visible;
    transform: translatex(0);
  }

  .nav-open .icon-mobile-nav[name="close-icon"] {
    display: block;
  }

  .nav-open .icon-mobile-nav[name="hamburger-icon"] {
    display: none;
  }

  .main-nav-list {
    flex-direction: column;
    gap: 5rem;
    font-size: 2rem;
  }
}

/* ************************************** */
/* BELOW 860px */
/* ************************************** */

@media (max-width: 53.75rem) {

  /* CATEGORIES */

  .category-card-img {
    width: 80%;
  }
  .category-sub-title {
    font-size: 1.6rem;
  }
  .category-title {
    font-size: 2.4rem;
  }
}

/* ************************************** */
/* BELOW 710px */
/* ************************************** */

@media (max-width: 44.375rem) {

  /* CATEGORIES */

  .takealot-cta-text-flex {
    justify-content: space-between;
  }

  .takealot-p {
    font-size: 2rem;
  }

  .takealot-cta-logo {
    height: 2rem;
  }

  .takealot-cta-img {
    left: 50%;
    transform: translate(-50%, -50%);
    height: 200%;
  }

  .takealot-cta-link:hover .takealot-cta-img {
    transform: translate(-50%, -50%) scale(1.05);
}

}

/* ************************************** */
/* BELOW 790px */
/* ************************************** */

@media (max-width: 49.375rem) {

  /* HERO */

  .hero-section-custom {
    height: 80vh;
  }

  .heading-1 {
    font-size: 7.4rem;
  }

  .sub-heading-bot {
    font-size: 4.4rem;
  }

  .hero img {
    height: 40%;
  }

  /* NATIONWIDE */

  .nationwide-cta {
    flex-direction: column;
    text-align: center;
  }


}

/* ************************************** */
/* BELOW 650px */
/* ************************************** */

@media (max-width: 40.625rem) {

  /* HERO DESC */

  .hero-logo-box {
    grid-template-columns: repeat(3, 1fr);
  }

  .hero-logo {
    width: 80%;
  }

  /* PRACTICAL */

  .pratical-grid {
    grid-template-columns: 1fr;
    text-align: center;
  }

  /* FOOTER */

  .footer-container {
    grid-template-columns: 1fr;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
  }

  .social-flex {
    justify-content: center;
  }

}

/* ************************************** */
/* BELOW 580px */
/* ************************************** */

@media (max-width: 36.25rem) {

  /* CATEGORIES */

  .takealot-cta:hover {
    transform: translateY(-0.2rem) scale(101%);
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.151);
  }

  .takealot-cta-text-flex {
    flex-direction: column;
  }

  .takealot-p {
    font-size: 3.2rem;
    text-align: center;
  }

  .takealot-cta-logo {
    height: 3.6rem;
  }

  .takealot-cta-img {
    display: none;
  }

  /* SELLING POINTS */

  .selling-icon {
    width: 100%;
  }

  .selling-grid-item-p {
    font-size: 1.6rem;
  }

}

/* ************************************** */
/* BELOW 540px */
/* ************************************** */

@media (max-width: 33.75rem) {

  /* HERO */

  .hero-section-custom {
    height: 60vh;
  }

  .hero img {
    height: 40%;
  }

  .sub-heading-top {
    font-size: 1.6rem;
  }

  .heading-1 {
    font-size: 4.4rem;
  }

  .sub-heading-bot {
    font-size: 3rem;
  }

  .hero-desc-section {
    top: -2px;
  }

  /* CATEGORIES */

  .category-card-grid {
    grid-template-columns: repeat(2, 1fr);
  }

  /* CTA */

  .cta {
    mix-blend-mode: multiply;
  }

  .cta h2 {
    text-align: center;
  }

  .cta-grid {
    grid-template-columns: 1fr;
    text-align: center;
  }

  .cta-img {
    opacity: 0.1;
    height: 80%;
    transform: translate(-50%, -50%);
    left: 50%;
    z-index: -1;
  }

  .cta-form {
    z-index: 1000;
  }
}

/* ************************************** */
/* BELOW 480px */
/* ************************************** */

@media (max-width: 30rem) {

  /* SELLING POINTS */

  .selling-icon-grid {
    grid-template-columns: repeat(2, 1fr);
    row-gap: 1.6rem;
  }

  .selling-grid-item {
    padding: 3.2rem 0 3.2rem 0;
  }

  .selling-icon {
    width: 50%;
  }

  /* NATIONWIDE */

  .nationwide-cta {
    font-size: 1.8rem;
    width: 100%;
  }

  .nationwide-cta-img {
    height: 2rem;
  }

}


/* ************************************** */
/* BELOW 450px */
/* ************************************** */

@media (max-width: 28.125rem) {

  /* HERO DESC */

  .hero-logo {
    width: 100%;
  }
}

/* ************************************** */
/* BELOW 400px */
/* ************************************** */

@media (max-width: 25rem) {

  /* HERO */

  .hero-section-custom {
    height: 40vh;
  }

  .heading-1 {
    font-size: 3rem;
  }

  .hero img {
    height: 45%;
  }

  .hero-img-01 {
    left: 5%;
  }

  .hero-img-02 {
    left: 25%;
  }

  .hero-img-03 {
    transform: scaleX(-1);
    right: 1%;
  }
  .hero-img-04 {
    display: none;
  }

  .hero .hero-img-03:hover {
  transform: translateY(-1.2rem) scaleX(-1);
  }

  /* CATEGORIES */

  .category-title {
    font-size: 1.8rem;
  }

  .takealot-p {
    font-size: 2rem;
  }

  .takealot-cta-logo {
    height: 3rem;
  }

}

/* ************************************** */
/* BELOW 300px */
/* ************************************** */

@media (max-width: 18.75rem) {

  /* HERO DESC */

  .hero-logo-box {
    grid-template-columns: repeat(2, 1fr);
  }
}